jrunscript(1)

Name
jrunscript - command line script shell

SYNOPSIS

jrunscript [ options ] [ arguments... ]

PARAMETERS

    options
        Options, if used, should follow immediately after the command name.

    arguments
        Arguments, if used, should follow immediately after options or command name.

DESCRIPTION

jrunscript is a command line script shell. jrunscript supports both an interactive (read-eval-print) mode and a batch (-f option) mode of script execution. This is a scripting language independent shell. By default, JavaScript is the language used, but the -l option can be used to specify a different language. Through Java to scripting language communication, jrunscript supports "exploratory programming" style.

NOTE: This tool is experimental and may not be available in future versions of the JDK.

OPTIONS

    -classpath path
        Specify where to find the user's .class files that are accessed by the script.

    -cp path
        This is a synonym for -classpath path

    -Dname=value
        Set a Java system property.

    -J<flag>
        Pass <flag> directly to the Java virtual machine on which jrunscript is run.

    -l language
        Use the specified scripting language. By default, JavaScript is used. Note that to use other scripting languages, you also need to specify the corresponding script engine's jar file using -cp or -classpath option.

    -e script
        Evaluate the given script. This option can be used to run "one liner" scripts specified completely on the command line.

    -encoding encoding
        Specify the character encoding used while reading script files.

    -f script-file
        Evaluate the given script file (batch mode).

    -f -
        Read and evaluate a script from standard input (interactive mode).

    -help
        Output help message and exit.

    -?  Output help message and exit.

    -q  List all script engines available and exit.

ARGUMENTS

If [arguments...] are present and if no -e or -f option is used, then the first argument is the script file and the rest of the arguments, if any, are passed as script arguments. If [arguments..] and -e or -f option are used, then all [arguments..] are passed as script arguments. If [arguments..], -e and -f are missing, interactive mode is used. Script arguments are available to a script in an engine variable named "arguments" of type String array.

EXAMPLES

  Executing inline scripts

jrunscript -e "print('hello world')"
jrunscript -e "cat('http://java.sun.com')"

  Use specified language and evaluate given script file

jrunscript -l js -f test.js

  Interactive mode

jrunscript
js> print('Hello World\n');
Hello World
js> 34 + 55
89.0
js> t = new java.lang.Thread(function() { print('Hello World\n'); })
Thread[Thread-0,5,main]
js> t.start()
js> Hello World
js>

  Run script file with script arguments

jrunscript test.js arg1 arg2 arg3

test.js is script file to execute and arg1, arg2 and arg3 are passed to script as script arguments. Script can access these using "arguments" array.

SEE ALSO

If JavaScript is used, then before evaluating any user defined script, jrunscript initializes certain built-in functions and objects. These JavaScript built-ins are documented in jsdocs @
http://docs.oracle.com/javase/7/docs/technotes/tools/share/jsdocs/allclasses-noframe.html.